# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=libffi
pkgver=3.4.2
pkgrel=1
pkgdesc="Portable foreign function interface library"
arch=('x86_64')
url="https://sourceware.org/libffi/"
license=('MIT')
groups=('base')
depends=('glibc')
makedepends=('bash' 'binutils' 'coreutils' 'gcc' 'make' 'sed')
checkdepends=('dejagnu')
source=(https://github.com/libffi/libffi/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(540fb721619a6aba3bdeef7d940d8e9e0e6d2c193595bc243241b77ff9e93620)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}               \
        --disable-static       \
        --with-gcc-arch=native \
        --disable-exec-static-tramp
    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
